package com.sxtvs.api.chatgpt.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class CompletionsParamsDto {

    @JsonProperty("model")
    private String model;
    @JsonProperty("prompt")
    private String prompt;
    @JsonProperty("max_tokens")
    private Integer maxTokens;
    @JsonProperty("temperature")
    private Integer temperature = 0;
    @JsonProperty("stream")
    private Boolean stream;
    @JsonProperty("top_p")
    private Integer topP = 1;
    @JsonProperty("frequency_penalty")
    private Double frequencyPenalty = 0.0;
    @JsonProperty("presence_penalty")
    private Double presencePenalty = 0.0;

    @JsonProperty("stop")
    private List<String> stop = List.of("我:", "机器人:");

    public CompletionsParamsDto(String prompt) {
        this.prompt = prompt;
        this.model = "text-davinci-003";
        this.maxTokens = 4000;
    }
}
